---

file:       profiles/$profile_node_name.cfg
node:       profiles.$profile_node_name
infos_node: profile

structure:

  profile:
    label:                        string
    database:
      options:                    node
      tuning:                     node
      filters:                    node-list
      fields:                     node-list
      cross_reference_groups:     node-list
    statistics:
      miscellaneous:              node
      sizes:                      node
      graphs:                     node
      reports:                    node-list
      reports_menu:               node-list
      report_fields:              node-list
    log:                          node
    network:                      node
    output:                       node
    security:                     node
    created_by_user:              string
    plugin_version:               string
    info:                         node-list
    create_profile_wizard_info:   node
    snapons:                      node
    version:
      created_in_version:         string

infos:

  - node:               label
    comment:            Unique profile label

  - node:               database.options
    defined_in_file:    # TODO - add file

  - node:               database.tuning
    defined_in_file:    # TODO - add file

  - node:               database.filters
    defined_in_file:    # TODO - add file

  - node:               database.fields
    defined_in_file:    profile.database.fields.yaml

  - node:               database.cross_reference_groups
    defined_in_file:    profile.database.cross_reference_groups.yaml

  - node:               statistics.miscellaneous
    defined_in_file:    profile.statistics.miscellaneous.yaml

  - node:               statistics.sizes
    defined_in_file:    profile.statistics.sizes.yaml

  - node:               statistics.graphs
    defined_in_file:    profile.statistics.graphs.yaml

  - node:               statistics.reports
    defined_in_file:    profile.statistics.reports.yaml

  - node:               statistics.reports_menu
    defined_in_file:    profile.statistics.reports_menu.yaml

  - node:               statistics.report_fields
    defined_in_file:    profile.statistics.report_fields.yaml

  - node:               log
    defined_in_file:    profile.log.yaml

  - node:               network
    defined_in_file:    # TODO - add file

  - node:               output
    defined_in_file:    # TODO - add file

  - node:               security
    defined_in_file:    # TODO - add file

  - node:               created_by_user
    comment:            The user node name of the user who created this
                        profile.

  - node:               plugin_version
    comment:            log format plugin version

  - node:               info
    comment:            log format plugin information

  - node:               create_profile_wizard_info

  - node:               snapons

  - node:               version.created_in_version

...















